<?php
  /**
   * Name: MySQLAdapterProjectManager.php
   * Author: R. Joseph Newton
   * Class provided: MySQLAdapterProjectManager
   * Purpose: Provides a MySQLAdapterProjectManager class for use in project management
   *  applications. This class mediates database enquiries and commands for all classes
   *  and driver scripts in the suite.
   * Last modified: March 3, 2007
   */

include_once('project_defs.php');
include_once('utilities.php');

class MySQLAdapterProjectManager {
   private $db_variables;
   private static $_db_connection;
   
   private function _connect_db() {
      if (!isset($this->_db_connection) || $this->_db_connection == NULL) {
         $db_variables = get_ini_section('Database');
         $db_conn = mysql_connect($db_variables['database server'], $db_variables['database user'],
          $db_variables['database password']);
         if ( !mysql_select_db($db_variables['database name'], $db_conn) ) {
            return false;
         }
         $this->_db_connection = $db_conn;
      }
      return $this->_db_connection;
   }
   
   public function db_get_first($query) {
      $conn = $this->_connect_db();
      if (!$conn) {
         return false;
      }
      $result_object = mysql_query($query, $conn);
      if (mysql_error()) {
         return array('error' => mysql_error());
      }
      $row = mysql_fetch_assoc($result_object);
      return $row;
   }
   
   public function db_get_all($query) {
      $conn = $this->_connect_db();
      if (!$conn) {
         return false;
      }
      $result_object = mysql_query($query, $conn);
      $result_set = array();
/*      if (mysql_error()) {print mysql_error() . "<br>\n";}  */
      while ( $row = mysql_fetch_assoc($result_object) ) {
         $result_set[] = $row;
      }
      return $result_set;
   }
   
   public function db_command($sql_command) {
      $conn = $this->_connect_db();
      if (!$conn) {
         return false;
      }
/*      print "\n$sql_command<br>\n";  */
      $result = mysql_query($sql_command, $conn);
      if (mysql_error()) {print mysql_error() . "<br>\n";}
      $affected_rows = mysql_affected_rows($conn);
      if ($affected_rows < 1) {
         return array( 'rows affected' => $affected_rows, 'error' => mysql_error() );
      }
      return $affected_rows;
   }
   
   public function get_procedure_results($procedure_name, array $arg_list) {
      $arg_string = $this->_procedure_argument_string($arg_list);
      $return_value_string = $this->_procedure_return_param_string($arg_list);
      $conn = $this->_connect_db();
      $whole_string = "call $procedure_name $arg_string";
      $result = mysql_query($whole_string, $conn);
      if ($error = mysql_error()) {
         print "query was $whole_string <br>\n";
         print "Error is $error<br>\n";
      } 
      $result = mysql_query("select $return_value_string", $conn);
      $return_array = mysql_fetch_assoc($result);
      if (mysql_error())  {print mysql_error() . "<br>\n";}
      return $return_array;
   }
   
   private function _procedure_argument_string(array $arg_list) {
      $arg_string = '(';
      $arg_string_pieces = array();
      foreach ($arg_list as $param => $type) {
         $arg_string_pieces[] = $param;
      }
      $arg_string .= join(', ', $arg_string_pieces);
      $arg_string .= ')';
      return $arg_string;
   }
   
   private function _procedure_return_param_string(array $arg_list) {
      $return_string_pieces = array();
      foreach ($arg_list as $param => $type) {
         if (strtoupper($type) == 'OUT') {
            $return_string_pieces[] = $param;
         }
      }
      return join(', ', $return_string_pieces);
   }
   
   public function create_table_guid($table_name) {
      $result_array = $this->get_procedure_results('increment_' . $table_name . '_guid', array('@guid' => 'OUT'));
      $guid = $result_array['@guid'];
      return $guid;
   }

   function db_escape($string) {
      $conn = $this->_connect_db();
      return mysql_real_escape_string($string, $conn);
   }
}
?>
