<?php

/**
 * Name: Task.php
 * Author: R. Joseph Newton
 * Class Provided: Task
 * Purpose: Provides definition for Task class
 * Last Modified: January 30, 2007
 */

include_once('project_defs.php');
include_once('Project.php');

class Task extends Project {
   private $_parent_project;
   
   public function Task($parent_project, $project_space, $name, $description, $lead, $co_lead = 0, $start_date = array(),
    $projected_finish = array(), $finish_date = array()) {
      parent::Project($project_space, $name, $description, $lead, $co_lead, $start_date, $projected_finish, $finish_date);
      $this->_parent_project = $parent_project;
      $this->_modified = true;
   }
   
   public function get_by_task_id($task_guid) {
      if (!isset($task_guid) ) {
         return;
      }
      $adapter = new MySQLAdapterProjectManager();
      $query = "select * from task where task_guid = $task_guid";
      $result = $adapter->db_get_first($query);
      if (!$result) {
         return;
      }
      $parent_project = $result['parent_project'];
      $task = parent::get_by_project_id($task_guid);
      $task->_parent_project = $parent_project;
      return $task;
   }
   
   public function save() {
      $adapter = new MySQLAdapterProjectManager();
      $project_guid = $this->get_project_id();
      parent::save();
      if ( isset($project_guid) ) {
         $result = $this->_update();
      } else {
         $result = $this->_create_new();
      }
      $this->_modified = false;
      return $result;
   }
   
   private function _update() {
      $db_adapter = $this->_db_adapter;
      $project_guid = $this->get_project_id();
      $command = "update task set parent_project = $this->_parent_project" .
      " where task_guid = $project_guid";
      $result = $db_adapter->db_command($command);
      return result;
   }
   
   private function _create_new() {
      $db_adapter = $this->_db_adapter;
      $project_guid = $this->get_project_id();
      $this->_project_guid = $project_guid;
      $command = "insert into task values ('$project_guid', '$this->_parent_project')";
      $result = $db_adapter->db_command($command);
      return $result;
   }
   
   public function get_parent_project() {
      return $this->_parent_project;
   }
   
   public function change_parent_project($parent_project) {
      $this->_parent_project = $parent_project;
      $this->_modified = true;
   }

   public function as_array() {
      $task_array = parent::as_array();
      $task_array[] = array('parent_project' => $this->_parent_project);
      return $task_array;
   }
   
   public function to_string() {
      $task_string = parent::to_string();
      $task_string .= "Parent project: $this->_parent_project\n";
      return $task_string;
   }
}

?>
