<!-- add_participant.tmpl.php -->
<?php
   list($late_binding_style, $people_to_add) = get_late_binding_style($manager);
   print $late_binding_style;
?>
      <div class="full-width">
         <script type="text/javascript" src="form_routines.js"></script>
<?php
   $project_name = $manager->get_current_project_name();
   function get_project_role_string() {
      $query = 'select role_guid, role_name, description from role ' .
      "where scope = 'project'";
      $adapter = new MySQLAdapterProjectManager();
      $roles = $adapter->db_get_all($query);
      $role_string = '';
      $spacer = str_repeat(' ', 21);
      foreach ($roles as $role) {
         $role_string .= $spacer;
         $role_guid = $role['role_guid'];
         $role_name = $role['role_name'];
         $role_string .= "<option value=\"$role_guid\"> $role_name </option>\n";
      }
      return $role_string;
   }
   
   $role_string = get_project_role_string();
   

   foreach ($people_to_add as $person_to_edit) {
      list($name, $given_name, $last_name, $first_name, $middle_name, $contact_preference, $guid) =
       get_person_information_vars($person_to_edit);
      print <<<PERSON_EDIT

         <div class="participant-entry" id="participant_entry_$guid">
            <input type="hidden" id="given_name_$guid" name="name_given_$guid" value="$given_name">
            <input type="hidden" id="last_name_$guid" name="name_last_$guid" value="$last_name">
            <input type="hidden" id="contact_preference_$guid" name="preferred_mode_$guid" value="$contact_preference">
            <input type="hidden" id="first_name_$guid" name="name_first_$guid" value="$first_name">
            <input type="hidden" id="middle_name_$guid" name="name_middle_$guid" value="$middle_name">
            <input type="hidden" id="confirmed_$guid" name="is_confirmed_$guid" value="true">
            <div class="participant-add" id="participant_add_confirm_$guid">
               <p class="person-name"> $name </p>
               <p class="person-detail"> Prefers $contact_preference as primary contact medium </p>
               <p class="role-select"> Role in <span class="project-name"> $project_name </span>  project:
                  <select name="person_role-$guid" class="person-role-select">
$role_string
                  </select>
               </p>
               <p class="toggle-include_button">
                  <button type="button" id="participant_confirm_$guid" value="Confirm"  onclick="toggle_addition_to_project($guid);">
                     Cancel participant
                  </button>
               </p>
            </div>
            <div class="participant-options">
               <div class="participant-options-commands">
                  <p class="options-heading"> Options: </p>
                  <button type="button" id="participant_edit_$guid" value="Edit"  onclick="toggle_person_edit_controls($guid);">
                     Edit personal data
                  </button> <br>
               </div>
               <div class="participant-options-controls" id="user_edit_$guid">
               </div>
            </div>
         </div>

PERSON_EDIT;
   }
   
   print <<<CONFIRM_DIVISION

      </div>

      <div class="full-width-confirm">
         <button type="submit" class="add-participants-confirm"
          name="action" value="confirm add persons" onclick="">
            Add all to $project_name
         </button>
      </div>
CONFIRM_DIVISION;

?>
      
<?php
   function get_late_binding_style($manager) {
      $people_to_add = $manager->get_persons_to_edit();
      $person_count = count($people_to_add);
      $height = $person_count * 152;
   
      $late_binding_style = <<<LATE_BINDING_STYLE
      <style type="text/css">
         div.full-width {
            height: $height;
         }
      </style>


LATE_BINDING_STYLE;

      return array($late_binding_style, $people_to_add);
   }
   
   function get_person_information_vars($person_to_edit) {
      $name = $person_to_edit['name_given'] . ' ' . $person_to_edit['name_last'];
      $given_name = $person_to_edit['name_given'];
      $last_name = $person_to_edit['name_last'];
      $first_name = $person_to_edit['name_first'];
      $middle_name = $person_to_edit['name_middle'];
      $contact_preference = $person_to_edit['preferred_mode'];
      $guid = $person_to_edit['person_guid'];
      return array($name, $given_name, $last_name, $first_name, $middle_name, $contact_preference, $guid);
   }
?>

