
# User create procedure creation
delimiter //
create procedure register_user (out succeeded boolean, in user varchar(32),
 in pass character(32), in person_id integer)
BEGIN
   insert into user values (user, pass, person_id);
   select true;
END
//
delimiter ;


# check_ticket procedure creation
delimiter //
create procedure check_ticket (out ticket_count bigint,
 in test_ticket char(32), in login_name varchar(64), in timeout_time integer,
 in time_now integer)
BEGIN
   delete from tickets where last_connect < timeout_time;
   update tickets set last_connect = time_now where ticket = test_ticket;
   select count (ticket) as ticket_count from
      (select ticket from tickets
         where ticket = test_ticket and member = login_name
      ) as matching_tickets;
END
//
delimiter ;

delimiter //
create procedure increment_project_space_guid (out current integer)
BEGIN
   update project_space_guid set id=last_insert_id(id+1);
   select last_insert_id() into current;
END
//
delimiter ;

delimiter //
create procedure increment_privilege_guid (out current integer)
BEGIN
   update privilege_guid set id=last_insert_id(id+1);
   select last_insert_id() into current;
END
//
delimiter ;

delimiter //
create procedure increment_person_guid (out current integer)
BEGIN
   update person_guid set id=last_insert_id(id+1);
   select last_insert_id() into current;
END
//
delimiter ;

delimiter //
create procedure increment_project_space_privilege_guid (out current integer)
BEGIN
   update project_space_privilege_guid set id=last_insert_id(id+1);
   select last_insert_id() into current;
END
//
delimiter ;

delimiter //
create procedure increment_project_guid (out current integer)
BEGIN
   update project_guid set id=last_insert_id(id+1);
   select last_insert_id() into current;
END
//
delimiter ;

delimiter //
create procedure increment_project_privilege_guid (out current integer)
BEGIN
   update project_privilege_guid set id=last_insert_id(id+1);
   select last_insert_id() into current;
END
//
delimiter ;

delimiter //
create procedure increment_expenditure_guid (out current integer)
BEGIN
   update expenditure_guid set id=last_insert_id(id+1);
   select last_insert_id() into current;
END
//
delimiter ;

# Expenditure_change.expenditure_change_guid primary key sequence
delimiter //
create procedure increment_expenditure_change_guid (out current integer)
BEGIN
   update expenditure_change_guid set id=last_insert_id(id+1);
   select last_insert_id() into current;
END
//
delimiter ;

delimiter //
create procedure increment_allocation_guid (out current integer)
BEGIN
   update allocation_guid set id=last_insert_id(id+1);
   select last_insert_id() into current;
END
//
delimiter ;

delimiter //
create procedure increment_allocation_change_guid (out current integer)
BEGIN
   update allocation_change_guid set id=last_insert_id(id+1);
   select last_insert_id() into current;
END
//
delimiter ;

delimiter //
create procedure increment_milestone_guid (out current integer)
BEGIN
   update milestone_guid set id=last_insert_id(id+1);
   select last_insert_id() into current;
END
//
delimiter ;

delimiter //
create procedure increment_deliverable_guid (out current integer)
BEGIN
   update deliverable_guid set id=last_insert_id(id+1);
   select last_insert_id() into current;
END
//
delimiter ;

delimiter //
create procedure increment_deliverable_change_guid (out current integer)
BEGIN
   update deliverable_change_guid set id=last_insert_id(id+1);
   select last_insert_id() into current;
END
//
delimiter ;

delimiter //
create procedure increment_access_right_guid (out current integer)
BEGIN
   update access_right_guid set id=last_insert_id(id+1);
   select last_insert_id() into current;
END
//
delimiter ;

