<!-- project_entry.tmpl.php -->
<?php
   $project_space_id = $manager->get_current_project_space_id();
   $project_or_task = 'Project';
   $project_or_task_lcase = 'project';
   $start_date_selector = date_selector('project-start_date');
   $projected_finish_selector = date_selector('project-projected_finish', NULL, true);
   $finish_date_selector = date_selector('project-finish_date', NULL, true);
   $task_lines = '';
   if ($active_process == 'add task') {
      $project_or_task = 'Task';
      $project_or_task_lcase = 'task';
      $parent_project_id = isset($_POST['project_id']) ? $_POST['project_id'] :
       $_POST['current_project_id'];
      $task_lines = <<<TASK_LINES
            <input type="hidden" name="task-parent_project" value="$parent_project_id">

TASK_LINES;
   }
   $person_list = "\n";
   $people = $project_or_task == 'Project' ?
    $manager->get_persons() : $manager->get_persons_onboard();
   foreach ($people as $person) {
      $person_id = $person['person_guid'];
      $person_name = $person['name_given'] . ' ' . $person['name_last'];
      $person_list .= "               ";
      $person_list .= "<option value=\"$person_id\"> $person_name </option>\n";
   }

print <<<PROJECT_ENTRY
      <style type="text/css">
               @import 'project_entry.css';
      </style>

      <div class="full-width project-header" align="center">
         <h3 class="section-heading"> Create New $project_or_task </h3>
      </div>
      <div class="full-width project-inputs">
         <div class="project-entry-name">
            <div class="section-title project-name">
               <span class="text-label"> $project_or_task name: </span> <br />
            </div>
            <input type="hidden" name="project-project_space_id" value="$project_space_id">
            <input type="text" name="project-name" class="input-project-name"
             id="input_project_name">
$task_lines
         </div>
         <div class="project-entry-person-select">
            <div class="section-title person-select-title">
               <span class="list-box-label"> $project_or_task lead: </span> <br />
            </div>
                 <select name="project-lead" class="select-person"
                  id="select_lead">
                  $person_list
               </select> <br />
         </div>
         <div class="project-entry-person-select" id="div_co_lead">
            <script type="text/javascript">
               function enable_co_lead_select() {
                  m_form = document.management_form;
                  if (m_form.chk_set_co_lead.checked) {
                     m_form.select_co_lead.disabled = false;
                  } else {
                     m_form.select_co_lead.disabled = true;
                  }
               }
            </script>
            <div class="co-lead-enable">
               <input type="checkbox" name="project-set_co_lead" id="chk_set_co_lead"
                onclick="enable_co_lead_select();"> Set:
            </div>
            <div class="co-lead-widget">
               <div class="section-title person-select-title">
                  <span class="list-box-label"> $project_or_task co-lead: </span> <br />
               </div>
                  <select name="project-co_lead" class="select-person"
		  id="select_co_lead" disabled>
$person_list
                  </select> <br />
            </div>
         </div>
      </div>
      <div class="full-width project-inputs">
            <div class="project-entry-date" id="project_entry_start_date">
            <center>
               <div class="section-title project-date">
                  Start date: <br />
               </div>
               <div class="date-selector-wrap">
$start_date_selector
               </div>
            </center>
            </div>
            <div class="project-entry-date" id="project_entry_projected_finish">
               <script type="text/javascript">
                  function enable_projected_finish() {
                     m_form = document.management_form;
                     if (m_form.chk_set_projected_finish.checked) {
                        document.getElementById('project-projected_finish-month').disabled = false;
                        document.getElementById('project-projected_finish-day').disabled = false;
                        document.getElementById('project-projected_finish-year').disabled = false;
                     } else {
                        document.getElementById('project-projected_finish-month').disabled = true;
                       document.getElementById('project-projected_finish-day').disabled = true;
                       document.getElementById('project-projected_finish-year').disabled = true;
                     }
                  }
               </script>
               <div class="date-enable">
                  <input type="checkbox" name="set_projected_finish" id="chk_set_projected_finish"
                   onclick="enable_projected_finish();"> Set:
               </div>
               <div class="date-widget">
                  <div class="section-title project-date">
                     Projected finish date: <br />
                  </div>
                  <div class="date-selector-wrap">
$projected_finish_selector
                  </div>
               </div>
            </div>
            <div class="project-entry-date" id="project_entry_finish_date">
            <center>
               <script type="text/javascript">
                  function enable_finish_date() {
                     m_form = document.management_form;
                     if (m_form.chk_set_actual_finish.checked) {
                        document.getElementById('project-finish_date-month').disabled = false;
                        document.getElementById('project-finish_date-day').disabled = false;
                        document.getElementById('project-finish_date-year').disabled = false;
                     } else {
                        document.getElementById('project-finish_date-month').disabled = true;
                        document.getElementById('project-finish_date-day').disabled = true;
                        document.getElementById('project-finish_date-year').disabled = true;
                     }
                  }
               </script>
               <div class="date-enable">
                  <input type="checkbox" name="set_actual_finish" id="chk_set_actual_finish"
                   onclick="enable_finish_date();"> Set:
               </div>
               <div class="date-widget">
                  <div class="section-title project-date">
                     Actual finish date: <br />
                  </div>
                  <div class="date-selector-wrap">
$finish_date_selector
                  </div>
               </div>
            </center>
            </div>
         </div>
      <div class="project-entry-open_ended">
         <div class="project-entry-description">
            <div class="section-title project-description">
               $project_or_task Description:
            </div>
            <textarea name="project-description"></textarea>
         </div>
      </div>
      <div align="center" class="project-entry-commit" id="project_entry_commit">
         <button type="submit" name="action" value="commit new $project_or_task_lcase" id="project_entry_commit_command">
            Commit $project_or_task_lcase
         </button>
      </div>

PROJECT_ENTRY;
?>

